<?php

namespace App\Console\Commands;

use App\Domains\Product\Models\Photo;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;

class MoveImagesToS3 extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'move:s3';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $photos = Photo::all();

        foreach ($photos as $photo) {
            if(Storage::disk('public')->exists($photo->url)) {
                $file = Storage::get($photo->url);
                $s3 =  Storage::disk('s3')->put('web1/'.$photo->url, $file );
                if($s3) {
                    Photo::where('id',$photo->id)->update(['status'=>'Uploaded', 'url' => Storage::disk('s3')->url('web1/'.$photo->url)]);
                    Storage::disk('public')->delete($photo->url);
                }
            }
        }
        dd("successfully uploaded all images to s3");

    }
}
