<?php

namespace App\Console\Commands;

use App\Domains\Product\Models\Product;
use App\Jobs\UpdateProductShopify;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Storage;

class SetBarcodesInProducts extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'set:barcode';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $client = new \GuzzleHttp\Client();
        $headers = [
            'headers' => [
                'x-shopify-access-token' => config('shopify.shopify_access_token'),
                'content-type' => 'application/json'
            ]
        ];
        // order=title desc
        $response = $client->request('GET', config('shopify.shopify_domain').'/admin/api/'.config('shopify.shopify_api_version').'/products.json?limit=250',$headers);
        $shopifyProducts = json_decode($response->getBody()->getContents());

        foreach ($shopifyProducts->products as $shopifyProduct)
        {
            $dbProduct = Product::where('shopify_response', 'like', '%' . $shopifyProduct->id . '%')->first();
            if(isset($dbProduct) && !empty($dbProduct)) {
                if(isset($shopifyProduct->variants[0]) && !empty($shopifyProduct->variants[0])){

                    if($shopifyProduct->variants[0]->barcode){

                        $dbProduct->barcode = $shopifyProduct->variants[0]->barcode;
                        $dbProduct->save();

                    }

                }
            }

        }
        dd("barcode saved for all products.");

    }
}
