<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Brand;
use App\Domains\Product\Services\BrandService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class BrandController extends Controller
{
    protected $brandService;

    public function __construct(BrandService $brandService)
    {
        $this->brandService = $brandService;
    }

    public function brandStore(Request $request)
    {
        $this->brandService->create($request->all());
        return back()->withFlashSuccess(__('The Brand was successfully created.'));
    }

    public function brandUpdate(Brand $brand, Request $request)
    {
        $this->brandService->update($brand, $request->all());
        return back()->withFlashSuccess(__('The Brand was successfully updated.'));
    }

    public function brandDelete(Brand $brand, Request $request)
    {
        $this->brandService->delete($brand, $request->all());
        return back()->withFlashSuccess(__('The Brand was successfully deleted.'));
    }
}
