<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\BundleDeal;
use App\Domains\Product\Services\BundleDealService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class BundleDealController extends Controller
{
    protected $bundleDealService;

    public function __construct(BundleDealService $bundleDealService)
    {
        $this->bundleDealService = $bundleDealService;
    }

    public function bundleDealStore(Request $request)
    {
        $this->bundleDealService->create($request->all());
        return back()->withFlashSuccess(__('The Gender Size Guide was successfully created.'));
    }

    public function bundleDealUpdate(BundleDeal $bundleDeal, Request $request)
    {
        $this->bundleDealService->update($bundleDeal, $request->all());
        return back()->withFlashSuccess(__('The Gender Size Guide was successfully updated.'));
    }

    public function bundleDealDelete(BundleDeal $bundleDeal, Request $request)
    {
        $this->bundleDealService->delete($bundleDeal, $request->all());
        return back()->withFlashSuccess(__('The Gender Size Guide was successfully deleted.'));
    }
}
