<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\DamagePreset;
use App\Domains\Product\Services\DamagePresetService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class DamagePresetController extends Controller
{
    protected $damagePreset;

    public function __construct(DamagePresetService $damagePreset)
    {
        $this->damagePresetService = $damagePreset;
    }

    public function damagePresetStore(Request $request)
    {
        $this->damagePresetService->create($request->all());
        return back()->withFlashSuccess(__('The Damage Preset was successfully created.'));
    }

    public function damagePresetUpdate(DamagePreset $damagePreset, Request $request)
    {
        $this->damagePresetService->update($damagePreset, $request->all());
        return back()->withFlashSuccess(__('The Damage Preset was successfully updated.'));
    }

    public function damagePresetDelete(DamagePreset $damagePreset, Request $request)
    {
        $this->damagePresetService->delete($damagePreset, $request->all());
        return back()->withFlashSuccess(__('The Damage Preset was successfully deleted.'));
    }
}
