<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Detail;
use App\Domains\Product\Services\DetailService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class DetailController extends Controller
{
    protected $detailService;

    public function __construct(DetailService $detailService)
    {
        $this->detailService = $detailService;
    }

    public function detailStore(Request $request)
    {
        $this->detailService->create($request->all());
        return back()->withFlashSuccess(__('The Detail was successfully created.'));
    }

    public function detailUpdate(Detail $detail, Request $request)
    {
        $this->detailService->update($detail, $request->all());
        return back()->withFlashSuccess(__('The Detail was successfully updated.'));
    }

    public function detailDelete(Detail $detail, Request $request)
    {
        $this->detailService->delete($detail, $request->all());
        return back()->withFlashSuccess(__('The Detail was successfully deleted.'));
    }
}
