<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\EmbroideredPrinted;
use App\Domains\Product\Services\EmbroideredPrintedService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class EmbroideredPrintedController extends Controller
{
    protected $embroideredPrintedService;

    public function __construct(EmbroideredPrintedService $embroideredPrintedService)
    {
        $this->embroideredPrintedService = $embroideredPrintedService;
    }

    public function embroideredPrintedStore(Request $request)
    {
        $this->embroideredPrintedService->create($request->all());
        return back()->withFlashSuccess(__('The Embroidered Printed was successfully created.'));
    }

    public function embroideredPrintedUpdate(EmbroideredPrinted $embroideredPrinted, Request $request)
    {
        $this->embroideredPrintedService->update($embroideredPrinted, $request->all());
        return back()->withFlashSuccess(__('The Embroidered Printed was successfully updated.'));
    }

    public function embroideredPrintedDelete(EmbroideredPrinted $embroideredPrinted, Request $request)
    {
        $this->embroideredPrintedService->delete($embroideredPrinted, $request->all());
        return back()->withFlashSuccess(__('The Embroidered Printed was successfully deleted.'));
    }
}
