<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Era;
use App\Domains\Product\Services\EraService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use function __;
use function back;

class EraController extends Controller
{
    protected $eraService;

    public function __construct(EraService $eraService)
    {
        $this->eraService = $eraService;
    }

    public function eraStore(Request $request)
    {
        $this->eraService->create($request->all());
        return back()->withFlashSuccess(__('The Era was successfully created.'));
    }

    public function eraUpdate(Era $era, Request $request)
    {
        $this->eraService->update($era, $request->all());
        return back()->withFlashSuccess(__('The Era was successfully updated.'));
    }

    public function eraDelete(Era $era, Request $request)
    {
        $this->eraService->delete($era, $request->all());
        return back()->withFlashSuccess(__('The Era was successfully deleted.'));
    }
}
