<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Gender;
use App\Domains\Product\Services\GenderService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class GenderController extends Controller
{
    protected $genderService;

    public function __construct(GenderService $genderService)
    {
        $this->genderService = $genderService;
    }

    public function genderStore(Request $request)
    {
        $this->genderService->create($request->all());
        return back()->withFlashSuccess(__('The Gender was successfully created.'));
    }

    public function genderUpdate(Gender $gender, Request $request)
    {
        $this->genderService->update($gender, $request->all());
        return back()->withFlashSuccess(__('The Gender was successfully updated.'));
    }

    public function genderDelete(Gender $gender, Request $request)
    {
        $this->genderService->delete($gender, $request->all());
        return back()->withFlashSuccess(__('The Gender was successfully deleted.'));
    }
}
