<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\GenderSizeGuide;
use App\Domains\Product\Services\GenderSizeGuideService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class GenderSizeGuideController extends Controller
{
    protected $genderSizeGuideService;

    public function __construct(GenderSizeGuideService $genderSizeGuideService)
    {
        $this->genderSizeGuideService = $genderSizeGuideService;
    }

    public function genderSizeGuideStore(Request $request)
    {
        $this->genderSizeGuideService->create($request->all());
        return back()->withFlashSuccess(__('The Bundle Deal was successfully created.'));
    }

    public function genderSizeGuideUpdate(GenderSizeGuide $genderSizeGuide, Request $request)
    {
        $this->genderSizeGuideService->update($genderSizeGuide, $request->all());
        return back()->withFlashSuccess(__('The Bundle Deal was successfully updated.'));
    }

    public function genderSizeGuideDelete(GenderSizeGuide $genderSizeGuide, Request $request)
    {
        $this->genderSizeGuideService->delete($genderSizeGuide, $request->all());
        return back()->withFlashSuccess(__('The Bundle Deal was successfully deleted.'));
    }
}
