<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Rework;
use App\Domains\Product\Services\ReworkService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ReworkController extends Controller
{
    protected $rework;

    public function __construct(ReworkService $rework)
    {
        $this->reworkService = $rework;
    }

    public function reworkStore(Request $request)
    {
    
        $this->reworkService->create($request->all());
        return back()->withFlashSuccess(__('The Rework was successfully created.'));
    }

    public function reworkUpdate(Rework $rework, Request $request)
    {
        $this->reworkService->update($rework, $request->all());
        return back()->withFlashSuccess(__('The Rework was successfully updated.'));
    }

    public function reworkDelete(Rework $rework, Request $request)
    {
        $this->reworkService->delete($rework, $request->all());
        return back()->withFlashSuccess(__('The Rework was successfully deleted.'));
    }
}
