<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\SizeOnLabel;
use App\Domains\Product\Services\SizeOnLabelService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class SizeOnLabelController extends Controller
{
    protected $SizeOnLabelService;

    public function __construct(SizeOnLabelService $sizeOnLabelService)
    {
        $this->sizeOnLabelService = $sizeOnLabelService;
    }

    public function sizeOnLabelStore(Request $request)
    {
        $this->sizeOnLabelService->create($request->all());
        return back()->withFlashSuccess(__('The Size on Label was successfully created.'));
    }

    public function sizeOnLabelUpdate(SizeOnLabel $sizeOnLabel, Request $request)
    {
        $this->sizeOnLabelService->update($sizeOnLabel, $request->all());
        return back()->withFlashSuccess(__('The Size on Label was successfully updated.'));
    }

    public function sizeOnLabelDelete(SizeOnLabel $sizeOnLabel, Request $request)
    {
        $this->sizeOnLabelService->delete($sizeOnLabel, $request->all());
        return back()->withFlashSuccess(__('The Size on Label was successfully deleted.'));
    }
}
