<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\TrueSize;
use App\Domains\Product\Services\TruesizeService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class TrueSizeController extends Controller
{
    protected $truesize;

    public function __construct(TruesizeService $truesize)
    {
        $this->truesizeService = $truesize;
    }

    public function truesizeStore(Request $request)
    {
    
        $this->truesizeService->create($request->all());
        return back()->withFlashSuccess(__('The True size was successfully created.'));
    }

    public function truesizeUpdate(TrueSize $truesize, Request $request)
    {
        $this->truesizeService->update($truesize, $request->all());
        return back()->withFlashSuccess(__('The True size was successfully updated.'));
    }

    public function truesizeDelete(TrueSize $truesize, Request $request)
    {
        $this->truesizeService->delete($truesize, $request->all());
        return back()->withFlashSuccess(__('The True size was successfully deleted.'));
    }
}
