<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Type;
use App\Domains\Product\Models\Setting\TypeField;
use App\Domains\Product\Services\TypeService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class TypeController extends Controller
{

    protected $typeService;

    public function __construct(TypeService $typeService)
    {
        $this->typeService = $typeService;
    }

    public function typeStore(Request $request)
    {
        $this->typeService->create($request->all());
        return back()->withFlashSuccess(__('The type was successfully created.'));
    }

    public function typeUpdate(Type $type, Request $request)
    {
        $this->typeService->update($type, $request->all());
        return back()->withFlashSuccess(__('The type was successfully updated.'));
    }

    public function typeDelete(Type $type, Request $request)
    {
        $this->typeService->delete($type, $request->all());
        return back()->withFlashSuccess(__('The type was successfully deleted.'));
    }


    public function typeFieldStore(Request $request)
    {
        $this->typeService->fieldCreate($request->all());
        return back()->withFlashSuccess(__('The Type Field was successfully created.'));
    }

    public function typeFieldUpdate(TypeField $typeField, Request $request)
    {
        $this->typeService->fieldUpdate($typeField, $request->all());
        return back()->withFlashSuccess(__('The Type Field was successfully updated.'));
    }

    public function typeFieldDelete(TypeField $typeField, Request $request)
    {
        $this->typeService->fieldDelete($typeField, $request->all());
        return back()->withFlashSuccess(__('The Type Field was successfully deleted.'));
    }
}
