<?php

namespace App\Domains\Product\Http\Controllers\Backend\Setting;

use App\Domains\Product\Models\Setting\Variant;
use App\Domains\Product\Services\VariantService;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class VariantController extends Controller
{
    protected $variantService;

    public function __construct(VariantService $variantService)
    {
        $this->variantService = $variantService;
    }

    public function variantStore(Request $request)
    {
        $this->variantService->create($request->all());
        return back()->withFlashSuccess(__('The Variant was successfully created.'));
    }

    public function variantUpdate(Variant $variant, Request $request)
    {
        $this->variantService->update($variant, $request->all());
        return back()->withFlashSuccess(__('The Variant was successfully updated.'));
    }

    public function variantDelete(Variant $variant, Request $request)
    {
        $this->variantService->delete($variant, $request->all());
        return back()->withFlashSuccess(__('The Variant was successfully deleted.'));
    }
}
