<?php

namespace App\Domains\Product\Jobs;

use App\Domains\Product\Services\ProductService;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class ArrivalCheckJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $request;
    protected $product;
    protected $productService;

    public function __construct($request, $product, ProductService $productService)
    {
        $this->request = $request;
        $this->product = $product;
        $this->productService = $productService;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $this->productService->arrivalCheckProductStore($this->product, $this->request);
    }
}
