<?php

namespace App\Domains\Product\Models\Setting;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Type extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['name', 'shopify_value'];

    public function fields()
    {
        return $this->hasMany(TypeField::class, 'type_id', 'id');
    }

    public function bundleDeal()
    {
        return $this->hasOne(BundleDeal::class);
    }

    public function genderSizeGuide()
    {
        return $this->hasOne(GenderSizeGuide::class);
    }
}
