<?php

namespace App\Domains\Product\Models\Traits\Relationship;

use App\Domains\Product\Models\Photo;
use App\Domains\Product\Models\ProductDetail;
use App\Domains\Product\Models\ProductTypeField;
use App\Domains\Product\Models\ProductVariant;
use App\Domains\Product\Models\Setting\Brand;
use App\Domains\Product\Models\Setting\Detail;
use App\Domains\Product\Models\Setting\Type;
use App\Domains\Product\Models\Setting\Variant;

trait ProductRelationship
{
    public function brand()
    {
        return $this->hasOne(Brand::class, 'id', 'brand_id');
    }

    public function type()
    {
        return $this->hasOne(Type::class, 'id', 'type_id');
    }

    public function photos()
    {
        return $this->hasMany(Photo::class);
    }

    public function variants()
    {
        return $this->hasMany(Variant::class);
    }

    public function details()
    {
        return $this->hasMany(Detail::class);
    }

    public function productVariants()
    {
        return $this->hasMany(ProductVariant::class, 'product_id', 'id');
    }

    public function productTypeFields()
    {
        return $this->hasMany(ProductTypeField::class, 'product_id', 'id');
    }

    public function productDetils()
    {
        return $this->hasMany(ProductDetail::class, 'product_id', 'id');
    }
}
