<?php

namespace App\Domains\Product\Models\Traits\Scope;

/**
 * Class UserScope.
 */
trait ProductScope
{
    /**
     * @param $query
     * @param $term
     * @return mixed
     */
    public function scopeSearch($query, $term)
    {
         $query->where(function ($query) use ($term) {
            $query->where('unique_tag', 'like', '%'.$term.'%');
        });
    }

    /**
     * @param $query
     * @return mixed
     */
    public function scopeOnlyDeactivated($query)
    {
        return $query->whereActive(false);
    }

    /**
     * @param $query
     * @return mixed
     */
    public function scopeOnlyActive($query)
    {
        return $query->whereActive(true);
    }

    /**
     * @param $query
     * @param $type
     * @return mixed
     */
    public function scopeByStage($query, $stage)
    {
        return $query->where('stage', $stage);
    }

}
