<?php

namespace App\Domains\Product\Services;

use App\Domains\Product\Models\Setting\Setting;
use App\Exceptions\GeneralException;
use App\Services\BaseService;
use Illuminate\Support\Facades\DB;

class SettingService extends BaseService
{
    protected $setting;

    public function __construct(Setting $setting)
    {
        $this->model = $setting;
    }

    public function store(array $data = []): Setting|null
    {

        try {
            foreach ($data['settings'] as $name => $value) {
                $setting = $this->model->where(['name' => $name])->first();
                $setting ?
                        $setting->update(['value' => $value])
                        :
                        $this->model->create(['name' => $name, 'value' => $value]);
            }

        } catch (Exception $e) {

            throw new GeneralException(__('There was a problem updating this setting. Please try again.'));
        }

        return $setting;
    }
}
