<?php

namespace App\Domains\Product\Services;

use App\Domains\Product\Models\Setting\Truesize;
use App\Exceptions\GeneralException;
use App\Services\BaseService;

class TruesizeService extends BaseService
{
    protected $truesize;

    public function __construct(Truesize $truesize)
    {
        $this->model = $truesize;
    }

    public function getTruesize()
    {
        return $this->model->oldest('name')->get(['id', 'name']);
    }

    public function create(array $data = []): Truesize|null
    {

        try {
            $truesize = $this->model->create([
                'name' => $data['name'],
            ]);
        } catch (Exception $e) {

            throw new GeneralException(__('There was a problem creating this True size. Please try again.'));
        }

        return $truesize;
    }

    public function update(Truesize $truesize, array $data = []): Truesize|null
    {

        try {
            $truesize->update([
                'name' => $data['name'],
            ]);
        } catch (Exception $e) {

            throw new GeneralException(__('There was a problem creating this True size. Please try again.'));
        }

        return $truesize;
    }

    public function delete(Truesize $truesize): Truesize|null
    {
        if ($this->deleteById($truesize->id)) {
            return $truesize;
        }
        throw new GeneralException('There was a problem deleting this True size. Please try again.');
    }
}
