<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('type_id');
            $table->string('damage_preset')->nullable();
            $table->string('size_on_label')->nullable();
            $table->unsignedBigInteger('brand_id')->nullable();
            $table->string('embroidered_or_printed')->nullable();
            $table->string('unique_tag')->nullable();
            $table->string('price')->nullable();
            $table->string('gg')->nullable();
            $table->integer('fake')->nullable();
            $table->integer('not_depop')->nullable();
            $table->string('vcuk')->nullable();
            $table->string('stage')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('type_id')->references('id')->on('types');
            $table->foreign('brand_id')->references('id')->on('brands');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
