const jquery_validation = require('jquery-validation');

import 'alpinejs'

import * as FilePond from 'filepond';

// Import the plugin code
import FilePondPluginFileEncode from 'filepond-plugin-file-encode';
import FilePondPluginFileValidateSize from 'filepond-plugin-file-validate-size';
import FilePondPluginImageExifOrientation from 'filepond-plugin-image-exif-orientation';
import FilePondPluginImagePreview from 'filepond-plugin-image-preview';
import FilePondPluginImageEdit from 'filepond-plugin-image-edit';
import "filepond/dist/filepond.min.css";
import 'filepond-plugin-image-preview/dist/filepond-plugin-image-preview.css';
import 'filepond-plugin-image-edit/dist/filepond-plugin-image-edit.css';

import select2 from 'select2';
import 'select2/dist/css/select2.min.css';

window.$ = window.jQuery = require('jquery');
window.Swal = require('sweetalert2');

// CoreUI
require('@coreui/coreui');

// Boilerplate
require('../plugins');


/*
We want to preview images, so we need to register the Image Preview plugin
*/
FilePond.registerPlugin(

    // encodes the file as base64 data
    FilePondPluginFileEncode,

    // validates the size of the file
    FilePondPluginFileValidateSize,

    // corrects mobile image orientation
    FilePondPluginImageExifOrientation,

    // previews dropped images
    FilePondPluginImagePreview,

    // image editor plugin
    FilePondPluginImageEdit
);

// Select the file input and use create() to turn it into a pond

const pond = FilePond.create(
    document.querySelector('#file-uploader')
)

// const pond = FilePond.create(
//     document.querySelector('#file-uploader'),
//     {
//         server: {
//             url: $('meta[name="app-url"]').attr('content')+'/admin/product/upload/photos',
//             process: {
//                 headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
//             },
//         },
//         allowMultiple: true,
//         maxParallelUploads: 2
//     }
// )

window.addFilesToPond = function (code) {
    pond.addFiles(code).then((file) => {
            // File has been added
        })
        .catch((error) => {
            // Something went wrong
        });
}

window.removeFilesToPond = function () {
    pond.removeFiles({ revert: true });
}

window.activeSnakeBar = function (text) {
    var x = document.getElementById("snackbar");
    x.innerText = text;
    x.className = "show";
    setTimeout(function(){ x.className = x.className.replace("show", ""); }, 3000);
}
