<x-backend.card>
    <x-slot name="header">
        @lang('Brands')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
                <th>Name</th>
                <th>Shopify Value</th>
                <th>Action</th>
            </thead>
            <tbody>
            @foreach($brands as $brand)
                <tr>
                    <td>{{$brand->name}}</td>
                    <td>{{$brand->shopify_value}}</td>
                    <td>
                        <form action="{{route('admin.setting.brand.update', $brand->id)}}" method="POST" id="brand_update_{{$brand->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$brand->name}}" required>
                            </div>
                            <div class="form-group col-lg-6">
                                <input name="shopify_value" class="form-control w-100" value="{{$brand->shopify_value}}" required>
                            </div>
                            <div class="form-group col-lg-6 mt-1">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-1">
                                <button type="button" onclick="hideUpdateForm('brand', '{{$brand->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="brand_action_{{$brand->id}}">
                            <button onclick="showUpdateForm('brand', '{{$brand->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.brand.delete', $brand->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="3">
                    <form action="{{route('admin.setting.brand.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-5">
                            <input name="name" class="form-control w-100" placeholder="Add New" required>
                        </div>
                        <div class="form-group col-lg-5">
                            <input name="shopify_value" class="form-control w-100" placeholder="Add New Shopify Value" required>
                        </div>
                        <div class="form-group col-lg-2">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
