<x-backend.card>
    <x-slot name="header">
        @lang('Bundle Deals')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
            <th>Type</th>
            <th>Bundle Deal</th>
            <th>Action</th>
            </thead>
            <tbody>
            @foreach($bundleDeals as $bundleDeal)
                <tr>
                    <td>{{isset($bundleDeal->type->name) ? $bundleDeal->type->name : ''}}</td>
                    <td>{{$bundleDeal->value}}</td>
                    <td>
                        <form action="{{route('admin.setting.bundle_deal.update', $bundleDeal->id)}}" method="POST" id="bundle_deal_update_{{$bundleDeal->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <select name="type_id" class="form-control w-100" required>
                                    <option>Select Type</option>
                                    @foreach($types as $type)
                                        <option value="{{$type->id}}" @if($type->id == $bundleDeal->type_id) selected @endif>{{$type->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-lg-6">
                                <textarea name="value" class="form-control w-100" required>{{$bundleDeal->value}}</textarea>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="button" onclick="hideUpdateForm('bundle_deal', '{{$bundleDeal->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="bundle_deal_action_{{$bundleDeal->id}}">
                            <button onclick="showUpdateForm('bundle_deal', '{{$bundleDeal->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.bundle_deal.delete', $bundleDeal->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="3">
                    <form action="{{route('admin.setting.bundle_deal.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-5">
                            <select name="type_id" class="form-control w-100" required>
                                <option>Select Type</option>
                                @foreach($types as $type)
                                    <option value="{{$type->id}}">{{$type->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-lg-5">
                            <textarea name="value" class="form-control w-100" placeholder="Add New Name" required></textarea>
                        </div>
                        <div class="form-group col-lg-2">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
