<x-backend.card>
    <x-slot name="header">
        @lang('Details Key System')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
                <th>Name</th>
                <th>Value</th>
                <th>Action</th>
            </thead>
            <tbody>
            @foreach($details as $detail)
                <tr>
                    <td>{{$detail->name}}</td>
                    <td>{{$detail->value}}</td>
                    <td>
                        <form action="{{route('admin.setting.detail.update', $detail->id)}}" method="POST" id="detail_update_{{$detail->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$detail->name}}" required>
                            </div>
                            <div class="form-group col-lg-6">
                                <input name="value" class="form-control w-100" value="{{$detail->value}}" required>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="button" onclick="hideUpdateForm('detail', '{{$detail->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="detail_action_{{$detail->id}}">
                            <button onclick="showUpdateForm('detail', '{{$detail->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.detail.delete', $detail->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="3">
                    <form action="{{route('admin.setting.detail.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-5">
                            <input name="name" class="form-control w-100" placeholder="Add New Name" required>
                        </div>
                        <div class="form-group col-lg-5">
                            <input name="value" class="form-control w-100" placeholder="Value" required>
                        </div>
                        <div class="form-group col-lg-2">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
