<x-backend.card>
    <x-slot name="header">
        @lang('Embroidered Printed')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
                <th>Size</th>
                <th>Action</th>
            </thead>
            <tbody>
            @foreach($embroideredPrinted as $embroideredPrint)
                <tr>
                    <td>{{$embroideredPrint->name}}</td>
                    <td>
                        <form action="{{route('admin.setting.embroidered_printed.update', $embroideredPrint->id)}}" method="POST" id="embroidered_printed_update_{{$embroideredPrint->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$embroideredPrint->name}}" required>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="button" onclick="hideUpdateForm('embroidered_printed', '{{$embroideredPrint->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="embroidered_printed_action_{{$embroideredPrint->id}}">
                            <button onclick="showUpdateForm('embroidered_printed', '{{$embroideredPrint->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.embroidered_printed.delete', $embroideredPrint->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="2">
                    <form action="{{route('admin.setting.embroidered_printed.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-9">
                            <input name="name" class="form-control w-100" placeholder="Add New" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
