<x-backend.card>
    <x-slot name="header">
        @lang('Eras')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
            <th>Era</th>
            <th>Action</th>
            </thead>
            <tbody>
            @foreach($eras as $era)
                <tr>
                    <td>{{$era->era}}</td>
                    <td>
                        <form action="{{route('admin.setting.era.update', $era->id)}}" method="POST" id="era_update_{{$era->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="era" class="form-control w-100" value="{{$era->era}}" placeholder="Era" required>
                            </div>
                            <div class="form-group col-lg-3 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-3 mt-2">
                                <button type="button" onclick="hideUpdateForm('era', '{{$era->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="era_action_{{$era->id}}">
                            <button onclick="showUpdateForm('era', '{{$era->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.era.delete', $era->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="5">
                    <form action="{{route('admin.setting.era.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-8">
                            <input name="era" class="form-control w-100" placeholder="Era" required>
                        </div>
                        <div class="form-group col-lg-4">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
