<x-backend.card>
    <x-slot name="header">
        @lang('Gender Size Guide')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
            <th>Type</th>
            <th>Size on Label</th>
            <th>PIT to PIT</th>
            <th>Gender</th>
            <th>Action</th>
            </thead>
            <tbody>
            @foreach($genderSizeGuides as $genderSizeGuide)
                <tr>
                    <td>{{$genderSizeGuide->type->name}}</td>
                    <td>{{$genderSizeGuide->size_on_label}}</td>
                    <td>{{$genderSizeGuide->values}}</td>
                    <td>{{$genderSizeGuide->gender}}</td>
                    <td>
                        <form action="{{route('admin.setting.gender_size_guide.update', $genderSizeGuide->id)}}" method="POST" id="gender_size_guide_update_{{$genderSizeGuide->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-3">
                                <select name="type_id" class="form-control w-100" required>
                                    <option>Select Type</option>
                                    @foreach($types as $type)
                                        <option value="{{$type->id}}" @if($type->id == $genderSizeGuide->type_id) selected @endif>{{$type->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-lg-3">
                                <select name="size_on_label" class="form-control w-100" required>
                                    <option>Select Size</option>
                                    @foreach($sizeOnLabels as $sizeOnLabel)
                                        <option value="{{$sizeOnLabel->name}}" @if($sizeOnLabel->name == $genderSizeGuide->size_on_label) selected @endif>{{$sizeOnLabel->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-lg-3">
                                <input name="values" class="form-control w-100" value="{{$genderSizeGuide->values}}" placeholder="PIT to PIT" required>
                            </div>
                            <div class="form-group col-lg-3">
                                <input name="gender" class="form-control w-100" value="{{$genderSizeGuide->gender}}" placeholder="Gender" required>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="button" onclick="hideUpdateForm('gender_size_guide', '{{$genderSizeGuide->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="gender_size_guide_action_{{$genderSizeGuide->id}}">
                            <button onclick="showUpdateForm('gender_size_guide', '{{$genderSizeGuide->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.gender_size_guide.delete', $genderSizeGuide->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="5">
                    <form action="{{route('admin.setting.gender_size_guide.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-2">
                            <select name="type_id" class="form-control w-100" required>
                                <option>Select Type</option>
                                @foreach($types as $type)
                                    <option value="{{$type->id}}">{{$type->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-lg-2">
                            <select name="size_on_label" class="form-control w-100" required>
                                <option>Select Size</option>
                                @foreach($sizeOnLabels as $sizeOnLabel)
                                    <option value="{{$sizeOnLabel->name}}">{{$sizeOnLabel->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-lg-3">
                            <input name="values" class="form-control w-100" placeholder="PIT to PIT" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <input name="gender" class="form-control w-100" placeholder="Gender" required>
                        </div>
                        <div class="form-group col-lg-2">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
