<x-backend.card>
    <x-slot name="header">
        @lang('Genders')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
            <th>Gender</th>
            <th>Action</th>
            </thead>
            <tbody>
            @foreach($genders as $gender)
                <tr>
                    <td>{{$gender->gender}}</td>
                    <td>
                        <form action="{{route('admin.setting.gender.update', $gender->id)}}" method="POST" id="gender_update_{{$gender->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="gender" class="form-control w-100" value="{{$gender->gender}}" placeholder="Gender" required>
                            </div>
                            <div class="form-group col-lg-3 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-3 mt-2">
                                <button type="button" onclick="hideUpdateForm('gender', '{{$gender->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="gender_action_{{$gender->id}}">
                            <button onclick="showUpdateForm('gender', '{{$gender->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.gender.delete', $gender->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="5">
                    <form action="{{route('admin.setting.gender.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-8">
                            <input name="gender" class="form-control w-100" placeholder="Gender" required>
                        </div>
                        <div class="form-group col-lg-4">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
