<x-backend.card>
    <x-slot name="header">
        @lang('Sizes on Label')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
                <th>Size</th>
                <th>Shopify Value</th>
                <th>Action</th>
            </thead>
            <tbody>
            @foreach($sizeOnLabels as $sizeOnLabel)
                <tr>
                    <td>{{$sizeOnLabel->name}}</td>
                    <td>{{$sizeOnLabel->shopify_value}}</td>
                    <td>
                        <form action="{{route('admin.setting.size_on_label.update', $sizeOnLabel->id)}}" method="POST" id="size_on_label_update_{{$sizeOnLabel->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$sizeOnLabel->name}}" required>
                            </div>
                            <div class="form-group col-lg-6">
                                <input name="shopify_value" class="form-control w-100" value="{{$sizeOnLabel->shopify_value}}" required>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="button" onclick="hideUpdateForm('size_on_label', '{{$sizeOnLabel->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="size_on_label_action_{{$sizeOnLabel->id}}">
                            <button onclick="showUpdateForm('size_on_label', '{{$sizeOnLabel->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.size_on_label.delete', $sizeOnLabel->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="3">
                    <form action="{{route('admin.setting.size_on_label.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-5">
                            <input name="name" class="form-control w-100" placeholder="Add New" required>
                        </div>
                        <div class="form-group col-lg-5">
                            <input name="shopify_value" class="form-control w-100" placeholder="Shopify Value" required>
                        </div>
                        <div class="form-group col-lg-2">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
