<x-backend.card>
    <x-slot name="header">
        @lang('VCUK Number')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
            <th>Type</th>
            <th>Value</th>
            <th>Action</th>
            </thead>
            <tbody>
            @php
                $tag = \App\Domains\Product\Models\UniqueTag::first();
            @endphp
            @if($tag)
                <tr>
                    <td>Unique Tag</td>
                    <td>{{$tag->value}}</td>
                    <td>
                        <form action="{{route('admin.setting.tag.update', $tag->id)}}" method="POST" id="tag_update_{{$tag->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="value" class="form-control w-100" value="{{$tag->value}}" placeholder="Value" required>
                            </div>
                            <div class="form-group col-lg-6 mt-1">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-1">
                                <button type="button" onclick="hideUpdateForm('tag', '{{$tag->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>
                        <span id="tag_action_{{$tag->id}}">
                            <button onclick="showUpdateForm('tag', '{{$tag->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                        </span>
                    </td>
                </tr>
            @else
                <tr>
                    <td colspan="3">
                        <form action="{{route('admin.setting.tag.store')}}" method="POST" class="form-inline">
                            @csrf
                            <div class="form-group col-lg-5">
                                <input name="value" class="form-control w-100" placeholder="Add New" required>
                            </div>
                            <div class="form-group col-lg-2">
                                <button type="submit" class="btn btn-primary w-100">Add</button>
                            </div>
                        </form>
                    </td>
                </tr>
            @endif
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
