<x-backend.card>
    <x-slot name="header">
        @lang('Product Type Fields')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
            <th>Field</th>
            <th>Type</th>
            <th>Action</th>
            </thead>
            <tbody>
            @foreach($typeFields as $field)
                <tr>
                    <td>{{$field->name}}</td>
                    <td>{{isset($field->type->name) ? $field->type->name : ''}}</td>
                    <td>
                        <form action="{{route('admin.setting.type.field.update', $field->id)}}" method="POST" id="type_field_update_{{$field->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$field->name}}" required>
                            </div>
                            <div class="form-group col-lg-6">
                                <select name="type_id" class="form-control w-100" required>
                                    <option>Select Type</option>
                                    @foreach($types as $type)
                                        <option value="{{$type->id}}" @if($type->id == $field->type_id) selected @endif>{{$type->name}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="button" onclick="hideUpdateForm('type_field', '{{$field->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="type_field_action_{{$field->id}}">
                            <button onclick="showUpdateForm('type_field', '{{$field->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.type.field.delete', $field->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="3">
                    <form action="{{route('admin.setting.type.field.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-5">
                            <input name="name" class="form-control w-100" placeholder="Add New Name" required>
                        </div>
                        <div class="form-group col-lg-5">
                            <select name="type_id" class="form-control w-100" required>
                                <option>Select Type</option>
                                @foreach($types as $type)
                                    <option value="{{$type->id}}">{{$type->name}}</option>
                                @endforeach
                            </select>
                        </div>
                        <div class="form-group col-lg-2">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
