<x-backend.card>
    <x-slot name="header">
        @lang('Variants')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
                <th>Name</th>
                <th>Value</th>
                <th>Shopify Value</th>
                <th>Action</th>
            </thead>
            <tbody>
            @foreach($variants as $variant)
                <tr>
                    <td>{{$variant->name}}</td>
                    <td>{{$variant->value}}</td>
                    <td>{{$variant->shopify_value}}</td>
                    <td>
                        <form action="{{route('admin.setting.variant.update', $variant->id)}}" method="POST" id="variant_update_{{$variant->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$variant->name}}" required>
                            </div>
                            <div class="form-group col-lg-6">
                                <input name="value" class="form-control w-100" value="{{$variant->value}}" required>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <input name="shopify_value" class="form-control w-100" value="{{$variant->shopify_value}}" required>
                            </div>
                            <div class="w-100"></div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-2">
                                <button type="button" onclick="hideUpdateForm('variant', '{{$variant->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="variant_action_{{$variant->id}}">
                            <button onclick="showUpdateForm('variant', '{{$variant->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.variant.delete', $variant->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="4">
                    <form action="{{route('admin.setting.variant.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-3">
                            <input name="name" class="form-control w-100" placeholder="Add New Name" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <input name="value" class="form-control w-100" placeholder="Value" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <input name="shopify_value" class="form-control w-100" placeholder="Shopify Value" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
