@inject('model', '\App\Domains\Product\Models\Product')
@extends('frontend.layouts.app')

@section('title', __('Login'))

@section('content')
    <br><br><br>
    <div class="container">
        <div class="row">

            <div class="card bg-light col-lg-6" style="border-radius:0px; padding:50px;">
                <a href="{{route('admin.product.create')}}" class="card-body text-dark">
                    <h3 class="card-title">Create New Product</h3>
                    <p class="card-text"><b>{{$model::whereDate($model::STAGE_CREATED, today())->count()}}</b> Products have been created by Today.</p>
                </a>
            </div>
            <div class="card bg-light col-lg-6" style="border-radius:0px; padding:50px;">
                <a href="{{route('admin.product.arrival_check')}}" class="card-body text-dark">
                    <h3 class="card-title">Checks</h3>
                    <p class="card-text"><b>{{$model::where('stage', $model::STAGE_CREATED)->count()}}</b> Products waiting to be Checked.</p>
                </a>
            </div>
            <div class="card bg-light col-lg-6" style="border-radius:0px; padding:50px;">
                <a href="{{route('admin.product.uploaded')}}" class="card-body text-dark">
                    <h3 class="card-title">Uploads</h3>
                    <p class="card-text"><b>{{$model::where('stage', $model::STAGE_ARRIVAL_CHECK)->count()}}</b> Products waiting to be Uploaded.</p>
                </a>
            </div>
            <div class="card bg-light col-lg-6" style="border-radius:0px; padding:50px;">
                <a href="{{route('admin.setting.index')}}" class="card-body text-dark">
                    <h3 class="card-title mb-0 text-center">Settings</h3>
                </a>
            </div>

        </div>
    </div>

@endsection

@push('after-styles')
    <style>
        .card-body:hover{
            text-decoration: none;
        }
    </style>
@endpush
