<?php

use App\Domains\Product\Http\Controllers\Backend\ProductController;

    Route::group([
        'prefix' => 'product',
        'as' => 'product.',
        'middleware' => config('boilerplate.access.middleware.confirm'),
    ], function () {

        Route::view('/', 'backend.product.index')->name('all');

        Route::view('/created', 'backend.product.created')->name('created');
        Route::get('/create/{product?}', [ProductController::class, 'create'])->name('create');
        Route::post('/create', [ProductController::class, 'store'])->name('store');
        Route::post('/upload/photos', [ProductController::class, 'storePhotos'])->name('photos.store');

        Route::get('/edit/{product}', [ProductController::class, 'edit'])->name('edit');
        Route::post('/edit/{product}', [ProductController::class, 'update'])->name('update');

        Route::view('/pre-check', 'backend.product.prechecks')->name('pre_check');
        Route::get('/pre-check/{product}', [ProductController::class, 'preCheckProduct'])->name('pre_check.product');
        Route::put('/pre-check/{product}', [ProductController::class, 'preCheckProductStore'])->name('pre_check.product.store');

        Route::get('/arrival-check', [ProductController::class, 'arrivalCheck'])->name('arrival_check');
        Route::get('/arrival-check/search', [ProductController::class, 'arrivalCheckSearch'])->name('arrival_check.search');
        Route::get('/arrival-check/{product}', [ProductController::class, 'arrivalCheckProduct'])->name('arrival_check.product');
        Route::put('/arrival-check/{product}', [ProductController::class, 'arrivalCheckProductStore'])->name('arrival_check.product.store');

        Route::get('/uploaded', [ProductController::class, 'uploads'])->name('uploaded');
        Route::get('/upload/{product}', [ProductController::class, 'uploadProduct'])->name('upload.product');
        Route::put('/upload/{product}', [ProductController::class, 'uploadProductStore'])->name('upload.product.store');

        Route::delete('/delete/{product}', [ProductController::class, 'delete'])->name('delete');
        Route::get('/restore/{product}', [ProductController::class, 'restore'])->name('restore');
        Route::view('/deleted', 'backend.product.deleted')->name('deleted');

        Route::put('/setBarcodeData', [ProductController::class, 'setBarcodeData'])->name('setBarcodeData');

//        Route::get('shopify/{id}', [ProductController::class, 'getShopifyProduct'])->name('getShopifyProduct');

    });
