<?php

use App\Domains\Product\Http\Controllers\Backend\Setting\BrandController;
use App\Domains\Product\Http\Controllers\Backend\Setting\BundleDealController;
use App\Domains\Product\Http\Controllers\Backend\Setting\DamagePresetController;
use App\Domains\Product\Http\Controllers\Backend\Setting\ReworkController;
use App\Domains\Product\Http\Controllers\Backend\Setting\TrueSizeController;
use App\Domains\Product\Http\Controllers\Backend\Setting\DetailController;
use App\Domains\Product\Http\Controllers\Backend\Setting\EmbroideredPrintedController;
use App\Domains\Product\Http\Controllers\Backend\Setting\EraController;
use App\Domains\Product\Http\Controllers\Backend\Setting\GenderController;
use App\Domains\Product\Http\Controllers\Backend\Setting\GenderSizeGuideController;
use App\Domains\Product\Http\Controllers\Backend\Setting\SettingController;
use App\Domains\Product\Http\Controllers\Backend\Setting\SizeOnLabelController;
use App\Domains\Product\Http\Controllers\Backend\Setting\TagController;
use App\Domains\Product\Http\Controllers\Backend\Setting\TypeController;
use App\Domains\Product\Http\Controllers\Backend\Setting\VariantController;

Route::group([
    'prefix' => 'setting',
    'as' => 'setting.',
    'middleware' => config('boilerplate.access.middleware.confirm'),
], function () {

    Route::get('/', [SettingController::class, 'index'])->name('index');
    Route::put('/store', [SettingController::class, 'store'])->name('store');

    // Type Routes
    Route::post('/type/store', [TypeController::class, 'typeStore'])->name('type.store');
    Route::put('/type/update/{type}', [TypeController::class, 'typeUpdate'])->name('type.update');
    Route::delete('/type/delete/{type}', [TypeController::class, 'typeDelete'])->name('type.delete');
    // Type Routes

    // Type Fields Routes
    Route::post('/type/field/store', [TypeController::class, 'typeFieldStore'])->name('type.field.store');
    Route::put('/type/field/update/{typeField}', [TypeController::class, 'typeFieldUpdate'])->name('type.field.update');
    Route::delete('/type/field/delete/{typeField}', [TypeController::class, 'typeFieldDelete'])->name('type.field.delete');
    // Type Fields Routes

    // Damage Preset Routes
    Route::post('/damage-preset/store', [DamagePresetController::class, 'damagePresetStore'])->name('damage_preset.store');
    Route::put('/damage-preset/update/{damagePreset}', [DamagePresetController::class, 'damagePresetUpdate'])->name('damage_preset.update');
    Route::delete('/damage-preset/delete/{damagePreset}', [DamagePresetController::class, 'damagePresetDelete'])->name('damage_preset.delete');
    // Damage Preset Routes

    // Rework Routes
    Route::post('/rework/store', [ReworkController::class, 'reworkStore'])->name('rework.store');
    Route::put('/rework/update/{rework}', [ReworkController::class, 'reworkUpdate'])->name('rework.update');
    Route::delete('/rework/delete/{rework}', [ReworkController::class, 'reworkDelete'])->name('rework.delete');
    // Rework Routes

    // True Size Routes
    Route::post('/truesize/store', [TrueSizeController::class, 'truesizeStore'])->name('truesize.store');
    Route::put('/truesize/update/{truesize}', [TrueSizeController::class, 'truesizeUpdate'])->name('truesize.update');
    Route::delete('/truesize/delete/{truesize}', [TrueSizeController::class, 'truesizeDelete'])->name('truesize.delete');
    // True Size Routes

    // Size on Label Routes
    Route::post('/size-on-label/store', [SizeOnLabelController::class, 'sizeOnLabelStore'])->name('size_on_label.store');
    Route::put('/size-on-label/update/{sizeOnLabel}', [SizeOnLabelController::class, 'sizeOnLabelUpdate'])->name('size_on_label.update');
    Route::delete('/size-on-label/delete/{sizeOnLabel}', [SizeOnLabelController::class, 'sizeOnLabelDelete'])->name('size_on_label.delete');
    // Size on Label Routes

    // Embroidered/Printed Routes
    Route::post('embroidered-printed/store', [EmbroideredPrintedController::class, 'embroideredPrintedStore'])->name('embroidered_printed.store');
    Route::put('embroidered-printed/update/{embroideredPrinted}', [EmbroideredPrintedController::class, 'embroideredPrintedUpdate'])->name('embroidered_printed.update');
    Route::delete('embroidered-printed/delete/{embroideredPrinted}', [EmbroideredPrintedController::class, 'embroideredPrintedDelete'])->name('embroidered_printed.delete');
    // Embroidered/Printed Routes

    // Brand Routes
    Route::post('/brand/store', [BrandController::class, 'brandStore'])->name('brand.store');
    Route::put('/brand/update/{brand}', [BrandController::class, 'brandUpdate'])->name('brand.update');
    Route::delete('/brand/delete/{brand}', [BrandController::class, 'brandDelete'])->name('brand.delete');

    // Tag Routes
    Route::post('/tag/store', [TagController::class, 'tagStore'])->name('tag.store');
    Route::put('/tag/update/{tag}', [TagController::class, 'tagUpdate'])->name('tag.update');
    Route::delete('/tag/delete/{tag}', [TagController::class, 'tagDelete'])->name('tag.delete');


    // Variants Routes
    Route::post('/variant/store', [VariantController::class, 'variantStore'])->name('variant.store');
    Route::put('/variant/update/{variant}', [VariantController::class, 'variantUpdate'])->name('variant.update');
    Route::delete('/variant/delete/{variant}', [VariantController::class, 'variantDelete'])->name('variant.delete');
    // Variants Routes

    // Detail Routes
    Route::post('/detail/store', [DetailController::class, 'detailStore'])->name('detail.store');
    Route::put('/detail/update/{detail}', [DetailController::class, 'detailUpdate'])->name('detail.update');
    Route::delete('/detail/delete/{detail}', [DetailController::class, 'detailDelete'])->name('detail.delete');
    // Detail Routes

    // Bundle Deals Routes
    Route::post('/bundle-deal/store', [BundleDealController::class, 'bundleDealStore'])->name('bundle_deal.store');
    Route::put('/bundle-deal/update/{bundleDeal}', [BundleDealController::class, 'bundleDealUpdate'])->name('bundle_deal.update');
    Route::delete('/bundle-deal/delete/{bundleDeal}', [BundleDealController::class, 'bundleDealDelete'])->name('bundle_deal.delete');
    // Bundle Deals Routes

    // Gender Size Guide Routes
    Route::post('/gender-size-guide/store', [GenderSizeGuideController::class, 'genderSizeGuideStore'])->name('gender_size_guide.store');
    Route::put('/gender-size-guide/update/{genderSizeGuide}', [GenderSizeGuideController::class, 'genderSizeGuideUpdate'])->name('gender_size_guide.update');
    Route::delete('/gender-size-guide/delete/{genderSizeGuide}', [GenderSizeGuideController::class, 'genderSizeGuideDelete'])->name('gender_size_guide.delete');
    // Gender Size Guide Routes

    // Gender Routes
    Route::post('/gender/store', [GenderController::class, 'genderStore'])->name('gender.store');
    Route::put('/gender/update/{gender}', [GenderController::class, 'genderUpdate'])->name('gender.update');
    Route::delete('/gender/delete/{gender}', [GenderController::class, 'genderDelete'])->name('gender.delete');
    // Gender Routes

    // Era Routes
    Route::post('/era/store', [EraController::class, 'eraStore'])->name('era.store');
    Route::put('/era/update/{era}', [EraController::class, 'eraUpdate'])->name('era.update');
    Route::delete('/era/delete/{era}', [EraController::class, 'eraDelete'])->name('era.delete');
    // Era Routes

});
